-- offset is milliseconds
CREATE TABLE jam_track_tap_ins (
  id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
  offset_time INTEGER NOT NULL,
  jam_track_id BIGINT NOT NULL REFERENCES jam_tracks(id) ON DELETE CASCADE
);

ALTER TABLE jam_tracks ADD COLUMN tap_in_count INTEGER NOT NULL DEFAULT 0;
ALTER TABLE jam_tracks ADD COLUMN initial_play_silence DECIMAL NOT NULL DEFAULT 5;